#ifndef __BITMAPS_H
#define __BITMAPS_H

// Fix Qt's wacky image positions
static const char * const hc_minimize_toto_xpm[] = {
"12 12 2 1",
"# c #000000",
". c None",
"............",
"............",
"............",
"............",
"............",
"............",
"............",
"............",
"...######...",
"...######...",
"............",
"............"};

static const char * const hc_close_toto_xpm[] = {
"12 12 3 1",
"# c #000000",
". c None",
"; c #4dff50",
"............",
"..;;;;;;;;..",
".....##.....",
"..##....##..",
"...##..##...",
"....####....",
".....##.....",
"....####....",
"...##..##...",
"..##....##..",
"..;;.##.;;..",
"..##....##.."};


static const QCOORD s_arrowUp[]={0,4,5,0,
                                 1,3,6,1,
                                 2,4,7,2,
                                 3,1,8,3,
                                 4,0,9,4};

static const QCOORD s_arrowDown[]={0,0,9,0,
                                   1,1,8,1,
                                   2,2,7,2,
                                   3,3,6,3,
                                   4,4,5,4};

static const QCOORD c_edit_arrow[]={-4,-5, 4, -5,
                               -4 ,-2, 4, -2,
                               -3 ,-1, 3, -1,
                               -2 ,0, 2, 0,
                               -1, 1, 1, 1,
                               0, 2, 0, 2};

static const QCOORD c_arrow[]={-4 ,-2, 4, -2,
                               -3 ,-1, 3, -1,
                               -2 ,0, 2, 0,
                               -1, 1, 1, 1,
                               0, 2, 0, 2};

const QCOORD u_spinarrow[]={ 0,-2, 0,-2, -1,-1, 1,-1, -2,0, 2,0 };
const QCOORD d_spinarrow[]={ -2,-1, 2,-1, -1,0, 1,0, 0,1, 0,1 };


const QCOORD u_arrow[]={ 0,-2, 0,-2, -1,-1, 1,-1, -2,0, 2,0, -3,1, 3,1 };
const QCOORD d_arrow[]={ -3,-2, 3,-2, -2,-1, 2,-1, -1,0, 1,0, 0,1, 0,1 };
const QCOORD l_arrow[]={ 1,-3, 1,-3, 0,-2, 1,-2, -1,-1, 1,-1, -2,0, 1,0, -1,1, 1,1, 0,2, 1,2, 1,3, 1,3 };
const QCOORD r_arrow[]={ -2,-3, -2,-3, -2,-2, -1,-2, -2,-1, 0,-1, -2,0, 1,0, -2,1, 0,1, -2,2, -1,2, -2,3, -2,3 };

#define QCOORDARRLEN(x) sizeof(x)/(sizeof(QCOORD)*2)




static unsigned char menu_check_bits[] = {
  0x00,0x00,0x00,0x04,0x00,0x06,0x00,0x07,0x84,0x07,0xcc,0x03,0xfc,0x01,0xfc,
  0x00,0x78,0x00,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00};


#endif
